
[data-component="AutoComplete"]{
    position: relative;
    width: 100%;
    user-select: none;
}

[data-component="AutoCompleteInput"]{
    display: grid;
    grid-template-columns: 1fr 24px;
    gap: 8px;

    position: relative;
    flex-wrap: nowrap;
    width: 100%;
}
[data-component="AutoCompleteInput"] [type="text"]{
    display: flex;
    height: 32px;
    margin-right: 32px;
}
[data-component="AutoCompleteInput"] [role="status"]{
    position: absolute;
    right: 0;
    top:0;
    bottom: 0;
    width: 32px;
    height: 32px;
}

[data-auto-complete-box] > [type="button"]{
    display: flex;
    width: 100%;
    align-items: center;
    position: relative;
    font-size: 12px;
    padding: 0;
    border-radius: 2px;
    color: #FFF;
    background-color: #FFF;
    height: 32px;
    outline: none;
    list-style: none;
    -webkit-appearance:none;
    cursor: pointer;
}

[data-auto-complete-box] [type="text"]{
    padding: 0 32px 0 8px;
    height: 32px;
}

[data-auto-complete-box] > [type="button"] > [role="status"]{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 32px;
    height: 32px;
    position: absolute;
    right: 0;
    top:0;
    bottom:0;
    stroke: #012;

}

[data-auto-complete-box] > [type="button"] > [role="status"] [role="img"]{
    display: block;
    width: 16px;
    height: 12px;
}

[data-auto-complete-box] > [type="button"] > [role="status"] [role="img"]{
    stroke: #012;
}



[data-component="AutoComplete"] [data-component="AutoCompleteGroup"]{
    display: grid;
    grid-template-columns:  1fr ;
    grid-template-rows: auto;
    gap: 4px;
    position: absolute;
    top:32px;
    right: 32px;
    left: 0;
    max-width: 100%;
    background-color: #FFF;
    z-index: 10;
    border-left:1px solid rgba(0,0,0,.25);
    border-right:1px solid rgba(0,0,0,.25);
    border-bottom:1px solid rgba(0,0,0,.25);
    border-bottom-left-radius: 2px;
    border-bottom-right-radius: 2px;

    overflow: hidden;

}

[data-component="AutoComplete"] [data-component="AutoCompleteGroup"] {
    display: none;
    visibility: hidden;
}

[data-component="AutoComplete"][aria-expanded="true"] [data-component="AutoCompleteGroup"] {
    display: block;
    visibility: visible;
}

[data-component="AutoCompleteRemove"]{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 24px;
    min-width: 24px;
    height: 24px;
    min-height: 24px;
    padding: 0;
    margin: auto;
    border-radius: 100%;
    outline: none;
    border: none;
    cursor: pointer;
    background-color: #F5F5F5;
    stroke: #89A;
    transition: var(--control-transition);

}
[data-component="AutoCompleteRemove"]:hover{
    background-color: #DEF;
    stroke: #04F;

}